Skip to main content
GET
/
datasets
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "c42e2a6e-40b3-4330-96f8-f1e4d768e8c9",
      "name": "Product Documentation",
      "description": "Technical documentation for the product API",
      "provider": "vendor",
      "permission": "only_me",
      "data_source_type": null,
      "indexing_technique": "high_quality",
      "app_count": 0,
      "document_count": 0,
      "word_count": 0,
      "created_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
      "author_name": "admin",
      "created_at": 1741267200,
      "updated_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
      "updated_at": 1741267200,
      "embedding_model": "text-embedding-3-small",
      "embedding_model_provider": "openai",
      "embedding_available": true,
      "retrieval_model_dict": {
        "search_method": "semantic_search",
        "reranking_enable": false,
        "reranking_mode": null,
        "reranking_model": {
          "reranking_provider_name": "",
          "reranking_model_name": ""
        },
        "weights": null,
        "top_k": 3,
        "score_threshold_enabled": false,
        "score_threshold": null
      },
      "tags": [],
      "doc_form": "text_model",
      "external_knowledge_info": null,
      "external_retrieval_model": null,
      "doc_metadata": [],
      "built_in_field_enabled": true,
      "pipeline_id": null,
      "runtime_mode": null,
      "chunk_structure": null,
      "icon_info": null,
      "summary_index_setting": null,
      "is_published": false,
      "total_documents": 0,
      "total_available_documents": 0,
      "enable_api": true,
      "is_multimodal": false
    }
  ],
  "has_more": false,
  "limit": 20,
  "total": 1,
  "page": 1
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Query Parameters

page
integer
default:1

Page number to retrieve.

limit
integer
default:20

Number of items per page.

keyword
string

Search keyword to filter by name.

include_all
boolean
default:false

Whether to include all knowledge bases regardless of permissions.

tag_ids
string[]

Tag IDs to filter by.

Response

200 - application/json

List of knowledge bases.

data
object[]

Array of knowledge base objects.

has_more
boolean

Whether more items exist on the next page.

limit
integer

Number of items per page.

total
integer

Total number of matching items.

page
integer

Current page number.